// Tree-mapmodels (c) GrimReaper 
// thanks to Fatmanfat for help with the shader

models/mapobjects/GR_trees/tree
{
	cull none
	nopicmip

	{
		map models/mapobjects/GR_trees/tree.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/GR_trees/tree2
{
	cull none
	nopicmip

	{
		map models/mapobjects/GR_trees/tree2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/GR_trees/tree3
{
	cull none
	nopicmip

	{
		map models/mapobjects/GR_trees/tree3.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/GR_trees/tree4
{
	cull none
	nopicmip

	{
		map models/mapobjects/GR_trees/tree4.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/GR_trees/nadel
{
	cull none
	nopicmip

	{
		map models/mapobjects/GR_trees/nadel.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/GR_trees/nadelsnow
{
	cull none
	nopicmip

	{
		map models/mapobjects/GR_trees/nadelsnow.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/GR_trees/nadelsnowr
{
	cull none
	nopicmip

	{
		map models/mapobjects/GR_trees/nadelsnowr.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/GR_trees/nadelsnowb
{
	cull none
	nopicmip

	{
		map models/mapobjects/GR_trees/nadelsnowb.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/GR_trees/nadelsnowg
{
	cull none
	nopicmip

	{
		map models/mapobjects/GR_trees/nadelsnowg.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/GR_trees/kerzeblau
{
	cull none
	nopicmip

	{
		map models/mapobjects/GR_trees/kerzeblau.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/GR_trees/kerzerot
{
	cull none
	nopicmip

	{
		map models/mapobjects/GR_trees/kerzerot.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/GR_trees/tree5
{
	cull none
	nopicmip

	{
		map models/mapobjects/GR_trees/tree5.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/GR_trees/tree6
{
	cull none
	nopicmip

	{
		map models/mapobjects/GR_trees/tree6.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}


textures/snowvalley3/fog
{
qer_editorimage textures/snowvalley/fog_snow.tga
qer_nocarve
surfaceparm	trans
surfaceparm	nonsolid
surfaceparm	fog
surfaceparm	nolightmap
fogparms ( .05 .05 .05 ) 1224
}
textures/snowvalley3/fog2
{
qer_editorimage textures/snowvalley/fog_snow.tga
qer_nocarve
surfaceparm	trans
surfaceparm	nonsolid
surfaceparm	fog
surfaceparm	nolightmap
fogparms ( 1 1 1 ) 1224
}


textures/snowvalley3/fogfix
{
sort nearest
q3map_backShader textures/snowvalley3/fogfix
qer_nocarve
	//q3map_bounce 0

	//qer_alphafunc greater 0.5
	//surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	//qer_trans 0.99
surfaceparm	nolightmap
	{
		map textures/snowvalley3/fogfix.tga
		rgbGen vertex
		//depthfunc lequal
		//depthWrite
		alphaFunc GE128
		blendFunc blend
		alphaGen portal 1536
	}
//sort 3
}

textures/snowvalley3/snowy
{
	q3map_lightImage textures/karith/snow_1.tga

	qer_editorimage textures/karith/snow_1.tga
	
	q3map_forceMeta
	q3map_nonplanar
	q3map_shadeAngle 179
	
	q3map_lightmapAxis z
	
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_tcMod rotate 33
	
	q3map_lightmapSampleSize 64
	
	q3map_globalTexture
	{
		map textures/karith/snow_1.tga
		rgbGen identity
		tcMod scale 7 7
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}



textures/snowvalley3/icelake2
{
	qer_trans 0.80
	qer_editorimage textures/snowvalley3/icelake2.tga
	sort seethrough
	surfaceparm slick
	surfaceparm trans
	tesssize 256

	{
		map textures/effects/envmap_ice2.tga
		tcgen environment
		blendfunc blend
	}
	{
		map textures/snowvalley3/icelake2.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		depthWrite
	}
	{
		map textures/detail_sd/snowdetail_heavy.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 4 4
		detail
	}
}



textures/snowvalley3/greenfield
	{
		qer_editorimage textures/nexus6/slime7.tga
		q3map_lightimage textures/nexus6/slime7.tga
		q3map_globaltexture

		surfaceparm noimpact
		surfaceparm slime
		surfaceparm nolightmap
		surfaceparm trans		

		q3map_surfacelight 100
		tessSize 32
		cull disable

		deformVertexes wave 100 sin 0 1 .5 0.5

		{
			map textures/nexus6/slime7c.tga
			rgbGen const ( 0.5 0.5 0.5 )			
			blendfunc add
			tcMod turb .3 .2 1 .05
			tcMod scroll .01 .01
		}
	
		{
			map textures/nexus6/slime7.tga
			rgbGen const ( 0.75 0.75 0.75 )			
			blendfunc add
			tcMod turb .2 .1 1 .05
			tcMod scale .5 .5
			tcMod scroll .02 .01
		}
}